com.tibbo.aggregate.common.util

## Class ComponentLocationGrid

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.util.ComponentLocationGrid

-     public class ComponentLocationGrid
      extends AggreGateBean

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `F_COLUMN`
    `static java.lang.String` | `F_COLUMNSPAN`
    `static java.lang.String` | `F_ROW`
    `static java.lang.String` | `F_ROWSPAN`
    `static TableFormat` | `OFT_COMPONENT_LOCATION_GRID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentLocationGrid()`
    `ComponentLocationGrid(DataRecord data)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentLocationGrid` | `fromDataTable(DataTable dataTable)`
    `java.lang.Integer` | `getColumn()`
    `java.lang.Integer` | `getColumnSpan()`
    `java.lang.Integer` | `getRow()`
    `java.lang.Integer` | `getRowSpan()`
    `void` | `setColumn(java.lang.Integer column)`
    `void` | `setColumnSpan(java.lang.Integer columnSpan)`
    `void` | `setRow(java.lang.Integer row)`
    `void` | `setRowSpan(java.lang.Integer rowSpan)`
    `DataTable` | `toDataTable()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OFT_COMPONENT_LOCATION_GRID

          public static final TableFormat OFT_COMPONENT_LOCATION_GRID

    - #### F_ROW

          public static final java.lang.String F_ROW

      See Also:
        Constant Field Values

    - #### F_COLUMN

          public static final java.lang.String F_COLUMN

      See Also:
        Constant Field Values

    - #### F_ROWSPAN

          public static final java.lang.String F_ROWSPAN

      See Also:
        Constant Field Values

    - #### F_COLUMNSPAN

          public static final java.lang.String F_COLUMNSPAN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ComponentLocationGrid

          public ComponentLocationGrid()

    - #### ComponentLocationGrid

          public ComponentLocationGrid(DataRecord data)

  - ### Method Detail

    - #### getRow

          public java.lang.Integer getRow()

    - #### setRow

          public void setRow(java.lang.Integer row)

    - #### getColumn

          public java.lang.Integer getColumn()

    - #### setColumn

          public void setColumn(java.lang.Integer column)

    - #### getRowSpan

          public java.lang.Integer getRowSpan()

    - #### setRowSpan

          public void setRowSpan(java.lang.Integer rowSpan)

    - #### getColumnSpan

          public java.lang.Integer getColumnSpan()

    - #### setColumnSpan

          public void setColumnSpan(java.lang.Integer columnSpan)

    - #### toDataTable

          public DataTable toDataTable()

      Overrides:
        `toDataTable` in class `AggreGateBean`

    - #### fromDataTable

          public static ComponentLocationGrid fromDataTable(DataTable dataTable)